Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2208965 - lasso-2.8.2-1.fc39 FTBFS: a test fails [NEEDINFO]
Summary: lasso-2.8.2-1.fc39 FTBFS: a test fails
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: lasso
Version: 40
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL: https://koji.fedoraproject.org/koji/b...
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-05-22 08:21 UTC by Petr Pisar
Modified: 2024-05-05 04:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
releng: needinfo? (ssorce)


Attachments (Terms of Use)

Description Petr Pisar 2023-05-22 08:21:20 UTC
lasso-2.8.2-1.fc39 fails to build in Fedora 39 because a test fails:

+ cd lasso-2.8.2
+ make check CK_TIMEOUT_MULTIPLIER=10
make  check-recursive
make[1]: Entering directory '/builddir/build/BUILD/lasso-2.8.2'
Making check in lasso
make[2]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso'
/usr/bin/python3 ./build_strerror.py . >.errors.c.new
if ! cmp -s ./errors.c .errors.c.new; then \
mv -f .errors.c.new errors.c; else \
rm .errors.c.new; fi
make  check-recursive
make[3]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso'
Making check in xml
make[4]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml'
Making check in saml-2.0
make[5]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml/saml-2.0'
make[5]: Nothing to be done for 'check'.
make[5]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml/saml-2.0'
Making check in soap-1.1
make[5]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml/soap-1.1'
make[5]: Nothing to be done for 'check'.
make[5]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml/soap-1.1'
Making check in dsig
make[5]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml/dsig'
make[5]: Nothing to be done for 'check'.
make[5]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml/dsig'
Making check in ecp
make[5]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml/ecp'
make[5]: Nothing to be done for 'check'.
make[5]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml/ecp'
make[5]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml'
make[5]: Nothing to be done for 'check-am'.
make[5]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml'
make[4]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso/xml'
Making check in id-ff
make[4]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso/id-ff'
make[4]: Nothing to be done for 'check'.
make[4]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso/id-ff'
Making check in saml-2.0
make[4]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso/saml-2.0'
make[4]: Nothing to be done for 'check'.
make[4]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso/saml-2.0'
make[4]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/lasso'
/usr/bin/python3 ./build_strerror.py . >.errors.c.new
if ! cmp -s ./errors.c .errors.c.new; then \
mv -f .errors.c.new errors.c; else \
rm .errors.c.new; fi
make[4]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso'
make[3]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso'
make[2]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/lasso'
Making check in tests
make[2]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/tests'
Making check in data
make[3]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/tests/data'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/tests/data'
make[3]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/tests'
make  check-TESTS
make[4]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/tests'
make[5]: Entering directory '/builddir/build/BUILD/lasso-2.8.2/tests'
FAIL: tests
PASS: tests2
============================================================================
Testsuite summary for lasso 2.8.2
============================================================================
# TOTAL: 2
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to lasso-devel.libre-entreprise.org
============================================================================
make[5]: Leaving directory '/builddir/build/BUILD/lasso-2.8.2/tests'
make[5]: *** [Makefile:976: test-suite.log] Error 1


Reproducible: Always

Comment 1 Fedora Release Engineering 2023-08-16 08:09:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 2 Xavier Bachelot 2023-09-26 08:54:01 UTC
I've just ran a copr build [1] of rawhide branch plus a tiny fix on top of it [2], which I've filed a PR for [3]. The build succeeded for all Fedora releases and EL8. It is still failing for EL7 and EL9, but I've not looked into this.

[1] https://copr.fedorainfracloud.org/coprs/xavierb/lemonldap-ng/build/6444481/
[2] https://src.fedoraproject.org/fork/xavierb/rpms/lasso/c/325f3337eb2b22949f551a92582eb7829f644278
[3] https://src.fedoraproject.org/rpms/lasso/pull-request/13

Comment 3 Xavier Bachelot 2023-09-26 08:56:59 UTC
Also, here's the upstream bug filed by @ngompa: https://dev.entrouvert.org/issues/78280

Comment 4 Fedora Release Engineering 2023-12-24 04:22:29 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-07-17).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 5 Fedora Release Engineering 2024-01-21 04:22:23 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-07-17).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 6 Fedora Release Engineering 2024-02-11 04:22:19 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-07-17).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 7 Aoife Moloney 2024-02-15 22:56:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 40 development cycle.
Changing version to 40.

Comment 8 Fedora Release Engineering 2024-03-03 04:22:18 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-07-17).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 9 Fedora Release Engineering 2024-03-24 04:22:20 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-07-17).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 10 Fedora Release Engineering 2024-04-14 04:22:18 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-07-17).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 11 Fedora Release Engineering 2024-05-05 04:22:17 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-07-17).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.